| GQLLC GMC-300 0.1 GQ Electronics Geiger-Counter Model 300

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Slots | Public Member Functions | Public Attributes | Protected Member Functions | Private Types | Private Member Functions | Private Attributes
Plotter Class Reference

`#include <plotter.hh>`

List of all members.

## Public Slots
void | zoomIn ()
void | zoomOut ()
void | timerEvent (QTimerEvent *event)
## Public Member Functions
| Plotter (QWidget *parent=0)
void | startSample (void)
void | setPlotSettings (const PlotSettings &settings)
void | setCurveData (int id, const QVector< QPointF > &data)
void | clearCurve (int id)
QSize | minimumSizeHint () const
QSize | sizeHint () const
## Public Attributes
bool | bScroll
## Protected Member Functions
void | paintEvent (QPaintEvent *event)
void | resizeEvent (QResizeEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | mouseMoveEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)
void | keyPressEvent (QKeyEvent *event)
void | wheelEvent (QWheelEvent *event)
## Private Types
enum | { Margin = 50 }
## Private Member Functions
void | updateRubberBandRegion ()
void | refreshPixmap ()
void | drawGrid (QPainter *painter)
void | drawCurves (QPainter *painter)
## Private Attributes
QToolButton * | zoomInButton
QToolButton * | zoomOutButton
QMap< int, QVector< QPointF > > | curveMap
QVector< PlotSettings > | zoomStack
int | curZoom
bool | rubberBandIsShown
QRect | rubberBandRect
QPixmap | pixmap
int | myTimerID
int | sampleCnt

## Member Enumeration Documentation

anonymous enum`[private]`

Enumerator:

  Margin |

## Constructor & Destructor Documentation

Plotter::Plotter | ( | QWidget * | parent = `0` | ) |

## Member Function Documentation

void Plotter::clearCurve | ( | int | id | ) |

void Plotter::drawCurves | ( | QPainter * | painter | ) | `[private]`

void Plotter::drawGrid | ( | QPainter * | painter | ) | `[private]`

void Plotter::keyPressEvent | ( | QKeyEvent * | event | ) | `[protected]`

QSize Plotter::minimumSizeHint | ( |  | ) | const

void Plotter::mouseMoveEvent | ( | QMouseEvent * | event | ) | `[protected]`

void Plotter::mousePressEvent | ( | QMouseEvent * | event | ) | `[protected]`

void Plotter::mouseReleaseEvent | ( | QMouseEvent * | event | ) | `[protected]`

void Plotter::paintEvent | ( | QPaintEvent * | event | ) | `[protected]`

void Plotter::refreshPixmap | ( |  | ) | `[private]`

void Plotter::resizeEvent | ( | QResizeEvent * | event | ) | `[protected]`

void Plotter::setCurveData | ( | int | id,
|  | const QVector< QPointF > & | data
| ) |  |

void Plotter::setPlotSettings | ( | const PlotSettings & | settings | ) |

QSize Plotter::sizeHint | ( |  | ) | const

void Plotter::startSample | ( | void |  | ) |

void Plotter::timerEvent | ( | QTimerEvent * | event | ) | `[slot]`

void Plotter::updateRubberBandRegion | ( |  | ) | `[private]`

void Plotter::wheelEvent | ( | QWheelEvent * | event | ) | `[protected]`

void Plotter::zoomIn | ( |  | ) | `[slot]`

void Plotter::zoomOut | ( |  | ) | `[slot]`

## Member Data Documentation

bool Plotter::bScroll

QMap<int, QVector<QPointF> > Plotter::curveMap`[private]`

int Plotter::curZoom`[private]`

int Plotter::myTimerID`[private]`

QPixmap Plotter::pixmap`[private]`

bool Plotter::rubberBandIsShown`[private]`

QRect Plotter::rubberBandRect`[private]`

int Plotter::sampleCnt`[private]`

QToolButton* Plotter::zoomInButton`[private]`

QToolButton* Plotter::zoomOutButton`[private]`

QVector<PlotSettings> Plotter::zoomStack`[private]`

The documentation for this class was generated from the following files:

- /home/phil/Projects/gqgmc/plotter.hh
- /home/phil/Projects/gqgmc/plotter.cc

All Classes Namespaces Files Functions Variables Enumerations Enumerator